Loading...
Searching...
No Matches
internal.h File Reference

This header contains declaration internal to log4cplus. More...

## Classes

struct | dcmtk::log4cplus::internal::gft_scratch_pad
struct | dcmtk::log4cplus::internal::appender_sratch_pad
struct | dcmtk::log4cplus::internal::per_thread_data
| Per thread data. More...

## Variables

log4cplus::tstring const | dcmtk::log4cplus::internal::empty_str

## Detailed Description

This header contains declaration internal to log4cplus.

They must never be visible from user accessible headers or exported in DLL/shared library.

## Variable Documentation

## empty_str

log4cplus::tstring const dcmtk::log4cplus::internal::empty_str

extern

Canonical empty string. It is used when the need to return empty string by reference arises.

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0